/**@file
 *@brief	anthy-agentץȥʹؿ顧ʬ
 *@date		Sat,31 Aug,2013 - Mon,09 Sep,2013
 *@date		Thu,19 Sep,2013
 *@date		Mon,30 Sep,2013
 *@author	Copyright(C)2013 G-HAL, All rights reserved.
 *
 *@note
 *@verbatim
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

* Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

* Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

* Neither the name of the copyright holders nor the names of its contributors
may be used to endorse or promote products derived from this software
without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *@endverbatim
 */
#ifndef parseline_low_sub_h_included_
#define parseline_low_sub_h_included_

#if defined(HAVE_CONFIG_H)
# include "config.h"
#endif

#if !defined(__STDC_LIMIT_MACROS)
# define __STDC_LIMIT_MACROS
#endif
#if !defined(__STDC_CONSTANT_MACROS)
# define __STDC_CONSTANT_MACROS
#endif
#if defined(HAVE_STDINT_H)
# include <stdint.h>
#endif

#include "parseline_common.h"



#ifdef __cplusplus
extern "C" {
#endif



extern void parseline_conv_strinternal_to_charstr(char* const dst, size_t max_len, const string_internal_t ptr[], int_fast16_t len);
extern void parseline_conv_wstr_to_charstr(char* const dst, size_t max_len, const string16_t ptr[], int_fast16_t len);

extern void parseline_show_ok(struct agent_parser_context_transaction_t* const apct);
extern void parseline_show_err(struct agent_parser_context_transaction_t* const apct);
extern void parseline_show_candidate(struct agent_parser_context_transaction_t* const apct, int_fast16_t phrase);
extern void parseline_show_stat(struct agent_parser_context_transaction_t* const apct);



#ifdef __cplusplus
}
#endif

#endif /* parseline_low_sub_h_included_ */
/* [ End of File ] */
